<!DOCTYPE html>
<html>
  <head>
    <!-- A tool to post/get data to/from any gianniSync server. -->
    <title>giannisync-editor</title>
    <script src="jquery-3.4.1.min.js"></script>
    <script src="script.js"></script>
    <meta charset="utf-8">
  </head>
  <body>
    <noscript>
      <p>This page uses JavaScript to interact with the gianniSync server. Please enable JavaScript to use this tool.</p>
    </noscript>
    <h2>Client headers</h2>
    <form id="headersForm">
      <table>
        <tr>
          <td>X-Gianniapp-Base-Version</td>
          <td><input type="text" id="headerBaseVersion" value="none"></td>
        </tr>
        <tr>
          <td>X-Gianniapp-Middler-Version</td>
          <td><input type="text" id="headerMiddlerVersion" value="1.0.0"></td>
        </tr>
        <tr>
          <td>X-Gianniapp-Middler-Name</td>
          <td><input type="text" id="headerMiddlerVersion" value="giannisync-editor"></td>
        </tr>
      </table>
      <p>The "X-Giannisync-Version" is hardcoded with the value "1".</p>
    </form>
    <h2>Server info</h2>
    <form id="setupCodeForm">
      <p>
        Setup code: <input type="submit" value="Get index URL & token from code">
        <br><textarea id="setupCode"></textarea>
      </p>
    </form>
    <form id="serverInfoForm">
      <p>
        Index URL: <input type="url" id="indexUrl"><br>
        Token: <input type="text" id="token"><br>
        <input type="submit" value="Fetch data endpoint from index file">
      </p>
    </form>
    <form id="dataEndpointForm">
      <p>
        Data endpoint: <input type="url" id="dataEndpoint">
      </p>
    </form>
    <h2>Data</h2>
    <form id="dataForm">
      <p><textarea id="data" rows="30" cols="100">{}</textarea></p>
      <p>
        <input type="submit" value="POST">
        <input type="button" value="GET" id="get">
      </p>
      <p>
        <input type="button" value="Beautify JSON" id="beautify">
        <input type="button" value="Minify JSON" id="minify">
      </p>
    </form>
  </body>
</html>